--- title: "get-box-list" slug: "get-box-list" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-box-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-box-list Available in VPC Get the box list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-box-list | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-box-list?fenceId=26&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Box list: [content](/docs/en/get-box-list#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `boxId` | Integer | - | Box number | | `boxName` | String | - | Box name | | `description` | String | - | Box description | | `statusCode` | String | - | Box status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Box status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `createDate` | String | - | Box creation date and time - ISO 8601 format (including UTC+9) | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 1, "content": [ { "boxId": 74, "boxName": "box1", "description": "", "statusCode": "USE", "statusName": "In use", "createDate": "2025-04-21T11:24:01+09:00" } ] } ```